package com.chinaitop.depot.device.model;


import java.math.BigDecimal;
import java.util.Date;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * <p>
 * 智能管理-综合业务管理-采购销售管理表
 * </p>
 *
 * @author root
 * @since 2024-06-06
 */
@TableName("business_im_purchase_sale")
@ApiModel(value="BusinessImPurchaseSale对象", description="智能管理-综合业务管理-采购销售管理表")
public class BusinessImPurchaseSale implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "单位id")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "采购编号")
    @TableField("purchase_code")
    private String purchaseCode;

    @ApiModelProperty(value = "采购计划名称")
    @TableField("purchase_plan_name")
    private String purchasePlanName;

    @ApiModelProperty(value = "采购部门")
    @TableField("purchase_department")
    private String purchaseDepartment;

    @ApiModelProperty(value = "采购人员")
    @TableField("purchase_personnel")
    private String purchasePersonnel;

    @ApiModelProperty(value = "联系方式")
    @TableField("contact_information")
    private String contactInformation;

    @ApiModelProperty(value = "采购申请时间")
    @TableField("purchase_request_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:SS")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:SS",timezone="GMT+8")
    private Date purchaseRequestTime;

    @ApiModelProperty(value = "采购状态，1：未采购；2：采购中；3：采购完成；")
    @TableField("purchase_status")
    private Integer purchaseStatus;

    @ApiModelProperty(value = "采购商品")
    @TableField("purchase_commodity")
    private String purchaseCommodity;

    @ApiModelProperty(value = "采购金额（元）")
    @TableField("purchase_amount")
    private BigDecimal purchaseAmount;

    @ApiModelProperty(value = "采购数量")
    @TableField("purchase_quantity")
    private Integer purchaseQuantity;

    @ApiModelProperty(value = "采购单价")
    @TableField("purchase_unit_price")
    private BigDecimal purchaseUnitPrice;




    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCreatename() {
        return createname;
    }

    public void setCreatename(String createname) {
        this.createname = createname;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getUpdatename() {
        return updatename;
    }

    public void setUpdatename(String updatename) {
        this.updatename = updatename;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getPurchaseCode() {
        return purchaseCode;
    }

    public void setPurchaseCode(String purchaseCode) {
        this.purchaseCode = purchaseCode;
    }

    public String getPurchasePlanName() {
        return purchasePlanName;
    }

    public void setPurchasePlanName(String purchasePlanName) {
        this.purchasePlanName = purchasePlanName;
    }

    public String getPurchaseDepartment() {
        return purchaseDepartment;
    }

    public void setPurchaseDepartment(String purchaseDepartment) {
        this.purchaseDepartment = purchaseDepartment;
    }

    public String getPurchasePersonnel() {
        return purchasePersonnel;
    }

    public void setPurchasePersonnel(String purchasePersonnel) {
        this.purchasePersonnel = purchasePersonnel;
    }

    public String getContactInformation() {
        return contactInformation;
    }

    public void setContactInformation(String contactInformation) {
        this.contactInformation = contactInformation;
    }

    public Date getPurchaseRequestTime() {
        return purchaseRequestTime;
    }

    public void setPurchaseRequestTime(Date purchaseRequestTime) {
        this.purchaseRequestTime = purchaseRequestTime;
    }

    public Integer getPurchaseStatus() {
        return purchaseStatus;
    }

    public void setPurchaseStatus(Integer purchaseStatus) {
        this.purchaseStatus = purchaseStatus;
    }

    public String getPurchaseCommodity() {
        return purchaseCommodity;
    }

    public void setPurchaseCommodity(String purchaseCommodity) {
        this.purchaseCommodity = purchaseCommodity;
    }

    public BigDecimal getPurchaseAmount() {
        return purchaseAmount;
    }

    public void setPurchaseAmount(BigDecimal purchaseAmount) {
        this.purchaseAmount = purchaseAmount;
    }

    public Integer getPurchaseQuantity() {
        return purchaseQuantity;
    }

    public void setPurchaseQuantity(Integer purchaseQuantity) {
        this.purchaseQuantity = purchaseQuantity;
    }

    public BigDecimal getPurchaseUnitPrice() {
        return purchaseUnitPrice;
    }

    public void setPurchaseUnitPrice(BigDecimal purchaseUnitPrice) {
        this.purchaseUnitPrice = purchaseUnitPrice;
    }
}
