/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.chinaitop.depot.device.model.param;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 综合业务管理-采购销售管理表编辑参数
 *
 * @author hjc
 * @date  2024/06/05 21:11
 **/
public class BusinessImPurchaseSaleEditParam {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID", required = true, position = 1)
    @NotNull(message = "id不能为空")
    private Integer id;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 2)
    private String createname;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 3)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 4)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 5)
    private Date updatedate;

    /** 单位id */
    @ApiModelProperty(value = "单位id", position = 6)
    private Integer orgId;

/*    *//** 采购编号 *//*
    @ApiModelProperty(value = "采购编号", position = 7)
    private String purchaseCode;*/

    /** 采购计划名称 */
    @ApiModelProperty(value = "采购计划名称", position = 8)
    private String purchasePlanName;

    /** 采购部门 */
    @ApiModelProperty(value = "采购部门", position = 9)
    private String purchaseDepartment;

    /** 采购人员 */
    @ApiModelProperty(value = "采购人员", position = 10)
    private String purchasePersonnel;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 11)
    private String contactInformation;

    /** 采购申请时间 */
    @ApiModelProperty(value = "采购申请时间", position = 12)
    private Date purchaseRequestTime;

    /** 采购状态，1：未采购；2：采购中；3：采购完成； */
    @ApiModelProperty(value = "采购状态，1：未采购；2：采购中；3：采购完成；", position = 13)
    private Integer purchaseStatus;

    /** 采购商品 */
    @ApiModelProperty(value = "采购商品", position = 14)
    private String purchaseCommodity;

    /** 采购金额（元） */
    @ApiModelProperty(value = "采购金额（元）", position = 15)
    private BigDecimal purchaseAmount;

    /** 采购数量 */
    @ApiModelProperty(value = "采购数量", position = 16)
    private Integer purchaseQuantity;

    /** 采购单价 */
    @ApiModelProperty(value = "采购单价", position = 17)
    private BigDecimal purchaseUnitPrice;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCreatename() {
        return createname;
    }

    public void setCreatename(String createname) {
        this.createname = createname;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getUpdatename() {
        return updatename;
    }

    public void setUpdatename(String updatename) {
        this.updatename = updatename;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getPurchasePlanName() {
        return purchasePlanName;
    }

    public void setPurchasePlanName(String purchasePlanName) {
        this.purchasePlanName = purchasePlanName;
    }

    public String getPurchaseDepartment() {
        return purchaseDepartment;
    }

    public void setPurchaseDepartment(String purchaseDepartment) {
        this.purchaseDepartment = purchaseDepartment;
    }

    public String getPurchasePersonnel() {
        return purchasePersonnel;
    }

    public void setPurchasePersonnel(String purchasePersonnel) {
        this.purchasePersonnel = purchasePersonnel;
    }

    public String getContactInformation() {
        return contactInformation;
    }

    public void setContactInformation(String contactInformation) {
        this.contactInformation = contactInformation;
    }

    public Date getPurchaseRequestTime() {
        return purchaseRequestTime;
    }

    public void setPurchaseRequestTime(Date purchaseRequestTime) {
        this.purchaseRequestTime = purchaseRequestTime;
    }

    public Integer getPurchaseStatus() {
        return purchaseStatus;
    }

    public void setPurchaseStatus(Integer purchaseStatus) {
        this.purchaseStatus = purchaseStatus;
    }

    public String getPurchaseCommodity() {
        return purchaseCommodity;
    }

    public void setPurchaseCommodity(String purchaseCommodity) {
        this.purchaseCommodity = purchaseCommodity;
    }

    public BigDecimal getPurchaseAmount() {
        return purchaseAmount;
    }

    public void setPurchaseAmount(BigDecimal purchaseAmount) {
        this.purchaseAmount = purchaseAmount;
    }

    public Integer getPurchaseQuantity() {
        return purchaseQuantity;
    }

    public void setPurchaseQuantity(Integer purchaseQuantity) {
        this.purchaseQuantity = purchaseQuantity;
    }

    public BigDecimal getPurchaseUnitPrice() {
        return purchaseUnitPrice;
    }

    public void setPurchaseUnitPrice(BigDecimal purchaseUnitPrice) {
        this.purchaseUnitPrice = purchaseUnitPrice;
    }
}
