package com.chinaitop.depot.device.service;

import java.util.List;

import com.chinaitop.depot.device.model.StorageJsgl;

public interface StorageJsglService {

	/**
	 * 按条件查询
	 * @param houseId 仓房
	 * @param warehouseId 货位
	 * @param orgId 组织机构
	 * @param jslx 结算类型
	 * @return
	 * @throws Exception
	 */
	List<StorageJsgl> findByCondition(Integer houseId, Integer warehouseId, Integer orgId, String jslx) throws Exception;

	/**
	 * 按主键查询
	 * @param id 主键唯一ID
	 * @return
	 * @throws Exception
	 */
	StorageJsgl findByParmaryKey(String id) throws Exception;

	/**
	 * 新增
	 * @param storageJsgl
	 * @throws Exception
	 */
	void addStorageJsgl(StorageJsgl storageJsgl) throws Exception;

	/**
	 * 修改
	 * @param storageJsgl
	 * @throws Exception
	 */
	void updateStorageJsgl(StorageJsgl storageJsgl) throws Exception;

	/**
	 * 删除
	 * @param id 主键唯一ID
	 * @throws Exception
	 */
	void removeStorageJsgl(String id) throws Exception;

	/**
	 * 保存或修改
	 * @param storageJsgl
	 */
	void saveOrUpdate(StorageJsgl storageJsgl) throws Exception;

}
