package com.chinaitop.depot.device.service.impl;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.device.mapper.BusinessImAssetMapper;
import com.chinaitop.depot.device.model.BusinessImAsset;
import com.chinaitop.depot.device.model.BusinessImAssetExample;
import com.chinaitop.depot.device.service.BusinessImAssetService;
import com.chinaitop.depot.utils.ParameterUtil;


@Service
public class BusinessImAssetServiceImpl implements BusinessImAssetService{

	@Resource
	private BusinessImAssetMapper businessImAssetMapper;
	
	/**
	 * 分页信息
	 */
	@Override
	public List<BusinessImAsset> getList(BusinessImAssetExample businessImAssetExample) {
		// TODO Auto-generated method stub
	        return businessImAssetMapper.selectByExample(businessImAssetExample);
	}

	/**
	 * 
	 */
	@Override
	public void remove(Integer id) {
		// TODO Auto-generated method stub
		businessImAssetMapper.deleteByPrimaryKey(id);
	}
	
	
	/**
	 * 提交修改和新增
	 */
	@Override
	public void save(BusinessImAsset businessImAsset) {
		// TODO Auto-generated method stub
		if (businessImAsset.getId() == null) {
			businessImAsset.setCreatedate(new Date());
			businessImAssetMapper.insertSelective(businessImAsset);// 新增数据
		} else {
			businessImAsset.setUpdatedate(new Date());
			businessImAssetMapper.updateByPrimaryKeySelective(businessImAsset);// 修改数据
		}
	}
	
	
	/**
	 * 查询
	 */
	@Override
	public BusinessImAsset loadDataById(int id) {
		// TODO Auto-generated method stub
		return businessImAssetMapper.selectByPrimaryKey(id);
	}

	//编号规则:ZC+年份+日期+00n 
	@Override
	public String getAssetCode(Integer orgId) {
		// TODO Auto-generated method stub
		Calendar calendar = Calendar.getInstance();
		String year = calendar.get(Calendar.YEAR)+"";
		String month = calendar.get(Calendar.MONTH)+1+"";
		String dayOfMonth = calendar.get(Calendar.DAY_OF_MONTH)+"";
		 if(month.length()==1){
			 month = "0"+month;
		 }
		 if(dayOfMonth.length()==1){
			 dayOfMonth = "0" +dayOfMonth;
		 }
		String str = "ZC"+year+""+month+""+dayOfMonth;
		
		BusinessImAssetExample businessImAssetExample=new BusinessImAssetExample();
		BusinessImAssetExample.Criteria criteria=businessImAssetExample.createCriteria();
    	
    	if(ParameterUtil.isnotnull(orgId)){
    		criteria.andOrgIdEqualTo(orgId);
    	}

        //排序
    	businessImAssetExample.setOrderByClause("id desc");
    	List<BusinessImAsset> list = businessImAssetMapper.selectByExample(businessImAssetExample);
    	if(list.size()>0){
    		String assetCode= list.get(0).getAssetCode();
    		String lastThreeChars  = assetCode.substring(assetCode.length()-3);
    		
    		String a = Integer.valueOf(lastThreeChars)+1+"";
    		if(a.length()==1){
    			a = "00"+a;
    		}else if(a.length()==2){
    			a = "0"+a;
    		}
    		
    		String yearChars  = assetCode.substring(2,6);
    		String monthChars  = assetCode.substring(6,10);

    		if(!year.equals(yearChars)){
    			if(!month.equals(monthChars)){
        			str = str + "001";
    			}
    		}else{
    			if((month+""+dayOfMonth).equals(monthChars)){
        			str = str + a;
    			}
    		}
    		
    	}else{
    		str = str + "001";     
    	}
		return str;
	}
	
	


}
