package com.chinaitop.depot.feignClients.service;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "DEPOT-BUSINESS")
public interface DepotBusinessFeignService {

	/**
	 * 修改市平台给的合同中已结算数量
	 * @param htid 合同ID
	 * @param bcjssl 本次结算数量(吨)
	 * @return 
	 */
	@RequestMapping(value = "/businessContractReceiveController/updateYjssl", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.POST)
	Map<String, String> updateYjssl(
			@RequestParam("htid") Integer htid, 
			@RequestParam("bcjssl") String bcjssl
			);
}
